package javanavig;
#|########################################################################
# ftagshtml: transforms fortran and C source into HTML or PostScript or PDF.
#    Copyright (C) 2000 Olivier Cessenat.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#|########################################################################
sub javanavig {
    open(MAINFRAME,">$main::DIRE/javanavig.html");
    print MAINFRAME index::OpenMainFrame("index","javanavig_c","Index JavaScript de $main::RepCodeSource");
    close(MAINFRAME);
# index code.
    open(INDEX,">$main::DIRE/javanavig_c.html");
    $ligne .= "<HTML>
<HEAD>
<TITLE>Recherche javascript sur $main::RepCodeSource.</TITLE>
<SCRIPT LANGUAGE=JAVASCRIPT>
function LienDynamique(document2){
   top.index.location=document2 ;
}
var commande=\"$index::Main_Point_Href\";
var fic=\"\";
function lance(commande){
   top.source.location=commande;
}
function monlance(commande){
   top.source.location=commande;
}
function fileindex(fic){
   top.source.location='fileindex_c.html#'+fic;
}
function progindex(fic){
   top.source.location='progindex_c.html#'+fic;
}
function routindex(fic){
   top.source.location='routindex_c.html#'+fic;
}
function foncindex(fic){
   top.source.location='foncindex_c.html#'+fic;
}
function inclindex(fic){
   top.source.location='inclindex_c.html#'+fic;
}
function inpuindex(fic){
   top.source.location='inpuindex_c.html#'+fic+'.tex';
}
</SCRIPT>
</HEAD>
<BODY BGCOLOR=WHITE LINK=BLUE ALINK=GREEN VLINK=#9910DD>\n";
    $ligne .= main::En_Tete_All("","none","source");
    $ligne .= "<H1>Recherche sur le code $main::RepCodeSource.</H1>
<HR>
<FONT COLOR=RED>Le rsultat des recherches n'est pas garantis si
votre code surdfinit des includes ou des '\\input'. Ceci
se produit dans les cas suivants:
<UL>
<LI>Si vous avez un \\input Rep/Type1/Var.tex et un
\\input Rep/Type2/Var.tex.
<LI>Si vous utilisez  la fois des include path_to_file et include file
grs par la makefile avec l'option '<TT>-I</TT>'.
<LI>Des options '<TT>-I</TT>' diffrentes par fichier avec des
rfrences  des includes de mme nom situs sur des rpertoires diffrents.
</UL>
</FONT>";
#########################################################################
    $ligne .= "<HR>
<H2>Slectionnez votre entre dans le menu droulant.</H2>
<FORM NAME=\"listform\">";
    $ligne .= "<TABLE BORDER=2 CELLPADDING=3 BGCOLOR=\"#AFFFC0\">";
    $ligne .= "<TR>\n";
    $ligne .= "<TH>Entry point\n";
    $ligne .= "<TH><SELECT NAME=\"entryselect\" SIZE=\"1\">\n";
    @liste=sort(@main::routines,@main::functions,@main::programmes) ;
    while (@liste) {
	($Routine,$file,$href)=split(/:/,shift @liste);
	$nom = $Routine ;
	$ligne .= "<OPTION VALUE=\"${file}_c.html#R_$Routine\">$nom\n";
    }
    $ligne .= "</SELECT>\n";
    $ligne .= "<TH><INPUT TYPE=button NAME=toto VALUE=open ONCLICK=lance(document.listform.entryselect[entryselect.options.selectedIndex].value)>\n";
    $ligne .= "</TR>\n";
    $ligne .= "<TR>\n";
    $ligne .= "<TH>File selection\n";
    $ligne .= "<TH><SELECT NAME=\"fileselect\" SIZE=\"1\">\n";
    foreach $file (sort @main::ARGV) {
	$ligne .= "<OPTION VALUE=\"$file\">$file\n";
    }
    $ligne .= "</SELECT>\n";
    $ligne .= "<TH><INPUT TYPE=button NAME=tata VALUE=index ONCLICK=fileindex(document.listform.fileselect[fileselect.options.selectedIndex].value)>\n";
    $ligne .= "</TR>\n";
    $ligne .= "</TR></TABLE>\n";
    $ligne .= "</FORM>\n";
#########################################################################
    $ligne .= "<HR><H2>Entrez le nom complet de votre point d'entre et tapez go.</H2>
<FORM NAME=\"goform\">
<INPUT TYPE=\"text\" NAME=go VALUE=\"$index::Main_Point_Href\" var=go SIZE=40>
<INPUT TYPE=button NAME=gobout VALUE=go ONCLICK=monlance(document.goform.go.value)>
</FORM>\n";
    $ligne .= "<HR><H2>Entrez le nom court de votre point d'entre et clickez sur l'index voulu.</H2>
<FORM NAME=\"findform\">
<INPUT TYPE=\"text\" NAME=fic VALUE=\"$index::Main_Point_Name\" var=fic>
<INPUT TYPE=button NAME=bouton VALUE=fichier ONCLICK=fileindex(document.findform.fic.value)>
<INPUT TYPE=button NAME=bouton VALUE=program ONCLICK=progindex(document.findform.fic.value)>
<INPUT TYPE=button NAME=bouton VALUE=routine ONCLICK=routindex(document.findform.fic.value)>
<INPUT TYPE=button NAME=bouton VALUE=fonction ONCLICK=foncindex(document.findform.fic.value)>
<INPUT TYPE=button NAME=bouton VALUE=include ONCLICK=inclindex(document.findform.fic.value)>
<INPUT TYPE=button NAME=bouton VALUE=input ONCLICK=inpuindex(document.findform.fic.value)>
</FORM>\n";
    $ligne .= "<BR>
Exemples:
<UL>
<LI>taper main.c clicker sur &lt;fichier&gt;
<LI>taper main clicker sur &lt;program&gt;
<LI>taper MaSUBR clicker sur &lt;routine&gt;
<LI>taper MaFUNC clicker sur &lt;fonction&gt;
<LI>taper MonInclude.h clicker sur &lt;include&gt;
<LI>taper Explications_Program_Main clicker sur &lt;\\input&gt;
</UL>
<HR>
</HTML>";
    print INDEX "$ligne" ;
    close(INDEX);
} ;
1;


